import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFolderUncheckedCreateNestedManyWithoutParentInputObjectSchema as CloudFolderUncheckedCreateNestedManyWithoutParentInputObjectSchema } from './CloudFolderUncheckedCreateNestedManyWithoutParentInput.schema';
import { CloudFileUncheckedCreateNestedManyWithoutFolderInputObjectSchema as CloudFileUncheckedCreateNestedManyWithoutFolderInputObjectSchema } from './CloudFileUncheckedCreateNestedManyWithoutFolderInput.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  name: z.string(),
  parentId: z.number().int().optional().nullable(),
  createdAt: z.coerce.date().optional(),
  updatedAt: z.coerce.date().optional(),
  children: z.lazy(() => CloudFolderUncheckedCreateNestedManyWithoutParentInputObjectSchema).optional(),
  files: z.lazy(() => CloudFileUncheckedCreateNestedManyWithoutFolderInputObjectSchema).optional()
}).strict();
export const CloudFolderUncheckedCreateWithoutPatientInputObjectSchema: z.ZodType<Prisma.CloudFolderUncheckedCreateWithoutPatientInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderUncheckedCreateWithoutPatientInput>;
export const CloudFolderUncheckedCreateWithoutPatientInputObjectZodSchema = makeSchema();
